world.set_weather(carla.WeatherParameters.HardRainNoon)
world.set_weather(carla.WeatherParameters.ClearNoon)
world.set_weather(carla.WeatherParameters.HardRainNight)
world.set_weather(carla.WeatherParameters.CloudySunset)  # Set weather to CloudySunset
world.set_weather(carla.WeatherParameters.WetNoon)  # Set weather to wet
world.set_weather(carla.WeatherParameters.CloudyNoon)
world.set_weather(carla.WeatherParameters.SoftRainNight)
world.set_weather(carla.WeatherParameters.WetCloudySunset)
print(dir(carla.WeatherParameters))
